import Api from "../helpers/api";

class EvidenceApi extends Api {
  constructor(resource) {
    super(resource);
    this.resource = "evidence";
  }

  image(imageId, params) {

    let url = `${this.getUrl()}/image/${imageId}${this.getUrlParams(params)}`

    const single = async () => {
      return await this.get(url);
    };

    const remove = async () => {
      return await this.post(url, null, 'delete');
    };


    return {
      single,
      delete: remove,
    };
  }

  attachment(attachmentId, params) {
    let url = `${this.getUrl()}/attachment/${attachmentId}${this.getUrlParams(params)}`

    const single = async () => {
      return await this.get(url);
    };

    const remove = async () => {
      return await this.post(url, null, 'delete');
    };


    return {
      single,
      delete: remove,
    };
  }
}

export const Evidence = new EvidenceApi();
