import Api from '../helpers/api';

class InventoryApi extends Api {
  constructor(resource) {
    super(resource);
    this.resource = 'inventory';
  }

  // org type can be organizations, resellers, sponsors
  async all(orgType, orgId, args) {
    const params = this.getUrlParams({ ...args, orgless: true });
    const url = `${this.baseUrl}/${orgType}/${orgId}/${this.resource}${params}`;

    return await this.get(url, args);
  }
}

export const Inventory = new InventoryApi();
