import Api from '../helpers/api';

class MethodologiesApi extends Api {
  constructor(resource) {
    super(resource);
    this.resource = 'methodologies';
  }

  async update(id, data, args) {
    const url = `${this.getUrl(id)}`;
    return await this.post(url, data, 'PATCH', args);
  }

  images(id) {
    const create = async (purpose, data, args) => {
      const url = `${this.getUrl(id)}/images/${purpose}`;
      return await this.post(url, data, args);
    };

    return {
      create,
    };
  }

  async attach(id, data, args) {
    const url = `${this.getUrl(id)}/attach`;
    return await this.post(url, data, args);
  }

  async detach(id, data, args) {
    const url = `${this.getUrl(id)}/detach`;
    return await this.post(url, data, args);
  }
}

export const Methodologies = new MethodologiesApi();
