import Api from "../helpers/api";

class PinsApi extends Api {
  constructor(resource) {
    super(resource);
    this.resource = "pins";
  }

  evidence(pinId) {
    const all = async (params) => {
      const url = `${this.getUrl()}/${pinId}/evidence${this.getUrlParams(
        params
      )}`;

      return await this.get(url);
    };

    const attach = async (formData, params) => {
      const url = `${this.getUrl()}/${pinId}/evidence${this.getUrlParams(
        params
      )}`;

      return await this.post(url, formData);
    };

    const detach = async (evidenceId, fileType = 'images') => {
      const url = `${this.getUrl()}/${pinId}/evidence/${fileType}/${evidenceId}${this.getUrlParams()}`;
      return await this.post(url, null, 'delete');
    };

    return { all, attach, detach };
  }
}

export const Pins = new PinsApi();
