import Api from "../helpers/api";

class RegionsApi extends Api {
  constructor(resource) {
    super(resource);
    this.resource = "regions";
  }

  stats(region) {
    const all = async () => {
      const url = `${this.getUrl()}/${region}/stats`;
      return await this.get(url);
    };

    return {
      all,
    };
  }

  stakeholders(region) {
    const all = async (params) => {
      const url = `${this.getUrl()}/${region}/stakeholders${this.getUrlParams(
        params
      )}`;
      return await this.get(url);
    };

    return {
      all,
    };
  }
  
  getPlantingSites(regionId) {
    const all = async (params) => {
      const url = `${this.getUrl()}/${regionId}/planting-sites${this.getUrlParams(
        params
      )}`;
      return await this.get(url);
    };
    return {
      all,
    }
  }

  public(args) {
    const all = async () => {
      const url = `${this.getUrl()}/public${this.getUrlParams(args)}`;
      return await this.get(url);
    };

    const single = async (id) => {
      const url = `${this.getUrl()}/public/${id}${this.getUrlParams(args)}`;
      return await this.get(url);
    }

    return {
      all,
      single
    };
  }

  milestone(){
    const update = async (regionId, milestoneId) => {
      const url = `${this.getUrl()}/${regionId}/milestones/${milestoneId}`;
      return await this.post(url, null, null);
    };
    const all = async (args) => {
      const url = `${this.getUrl()}/milestones${this.getUrlParams(args)}`;
      return await this.get(url)
    }  
    return {
      update,
      all,
    };
  }
}


export const Regions = new RegionsApi();

