import Api from '../helpers/api';

class SubdomainsApi extends Api {
  constructor(resource) {
    super(resource);
    this.resource = "subdomains";
  }

  /**
   * Toggles the active status of a subdomain.
   *
   * @param {string} orgId - The ID of the organization.
   * @param {string} subdomainId - The ID of the subdomain.
   * @returns {Promise} A promise that resolves with the response data.
   */
  toggle(orgId, subdomainId) {
    const url = `${this.baseUrl}/sponsors/${orgId}/subdomains/${subdomainId}/toggle-active-status`;
    return this.post(url, null, 'patch');
  }
}

export const Subdomains = new SubdomainsApi();