import Api from '../helpers/api';

class UtilitiesApi extends Api {
  constructor(resource) {
    super(resource);
    this.resource = 'utilities';
  }

  uploads() {
    const baseUrl = `${this.getUrl()}/uploads`;

    const signedCloudUploadUrl = async () => {
      const url = `${baseUrl}/signed-cloud-upload-url`;
      return await this.get(url);
    };

    const installUpload = async (orgId, data) => {
      const url = `${baseUrl}/install-upload/organization/${orgId}`;
      return await this.post(url, data);
    };

    const supportedCollections = async () => {
      const url = `${baseUrl}/supported-collections`;
      return await this.get(url);
    };

    return {
      signedCloudUploadUrl,
      installUpload,
      supportedCollections,
    };
  }
}

export const Utilities = new UtilitiesApi();
